Package com.zfabrik.impl.components.processing

## Class Jexl3ComponentDescriptorEvaluator

- java.lang.Object
- - com.zfabrik.impl.components.processing.Jexl3ComponentDescriptorEvaluator

- All Implemented Interfaces:
    `com.zfabrik.components.provider.props.Evaluator`, `java.lang.AutoCloseable`

      public class Jexl3ComponentDescriptorEvaluator
      extends java.lang.Object
      implements com.zfabrik.components.provider.props.Evaluator

  `Evaluator` for Jexl3 expressions. See `Jexl3ComponentDescriptorProcessor`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Jexl3ComponentDescriptorEvaluator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `eval​(java.lang.String expression)` | Evaluate an expression tagged for this processor.
    `void` | `init​(com.zfabrik.components.provider.props.EvaluationContext context)` | Initialize evalution session

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.zfabrik.components.provider.props.Evaluator

      `close`

- - ### Constructor Detail

    - #### Jexl3ComponentDescriptorEvaluator

          public Jexl3ComponentDescriptorEvaluator()

  - ### Method Detail

    - #### init

          public void init​(com.zfabrik.components.provider.props.EvaluationContext context)

      Description copied from interface: `com.zfabrik.components.provider.props.Evaluator`
      Initialize evalution session
      Specified by:
        `init` in interface `com.zfabrik.components.provider.props.Evaluator`

    - #### eval

          public java.lang.Object eval​(java.lang.String expression)

      Description copied from interface: `com.zfabrik.components.provider.props.Evaluator`
      Evaluate an expression tagged for this processor. A result of `null` is legal during processing but will eventually be removed from the properties set.
      Specified by:
        `eval` in interface `com.zfabrik.components.provider.props.Evaluator`